Subject: Re: possible problem in memory management

From: Kenneth Johansson <[email-masked]>
Date: Thu, 22 Mar 2001 19:02:47 +0100

Dan Malek wrote:
>
> Kenneth Johansson wrote:
> > Running emacs or simply login over telnet puts it into that state.
>
> I know that login over telnet works for me.  That isn't much of test,
> as it is nice to be able to debug memory problems with carefully
> controlled tests so you know if you have really corrected problems.

You'r right I did some more testing and emacs was a false alarm. It turns out
that the offender is the tcpd wrapper that debian has in inetd.conf.
In the default configuration doing a telnet,finger or talk puts the system in
this "funny" state. Removing the wrapper and everything is fine.

I also found out that the man command get segmentation faults after tcpd has run.

So to sum it up "man ls" and "dpkg --configure" both works OK before the first run of
/usr/sbin/tcpd from debian (potato). After that they alwas get segmentation fault.

I think this is a good enough test however I don't even have a theory on why it's happening.

--
Kenneth Johansson
Ericsson Business Innovation AB   Tel: +46 8 404 71 83
Viderögatan 3                     Fax: +46 8 404 72 72
164 80 Stockholm                  [email-masked]

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/